> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile

> Returns a wallet profile for a specific wallet.



## OpenAPI

````yaml post /v1/solana/dex/profiles/wallets/get-profile
openapi: 3.1.0
info:
  version: 1.0.1
  title: Prism API v1
servers:
  - url: https://refract.prismapi.io
    x-fern-server-name: production
security: []
paths:
  /v1/solana/dex/profiles/wallets/get-profile:
    post:
      tags:
        - Solana DEX
      summary: Get Profile
      description: Returns a wallet profile for a specific wallet.
      operationId: getWalletProfile
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - wallet
              properties:
                wallet:
                  description: Wallet address to retrieve the profile for.
                  type: string
                options:
                  $ref: '#/components/schemas/SolanaDexWalletProfilePayloadOptions'
            examples:
              default:
                value:
                  wallet: suqh5sHtr8HyJ7q8scBimULPkPpA557prMG47xCHQfK
                  options:
                    include_metadata: true
                    include_labels: true
                    include_metrics:
                      - 7d
      responses:
        '200':
          description: Wallet profile for the specified wallet.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaDexWalletProfile'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - HttpApiKeyAuth: []
components:
  schemas:
    SolanaDexWalletProfilePayloadOptions:
      x-fern-type-name: SolanaDexWalletProfilePayloadOptions
      type: object
      description: >-
        Controls which optional sections are included in each returned wallet
        profile.
      properties:
        include_metadata:
          type: boolean
          description: When true, includes the `metadata` object in each returned profile.
        include_identity:
          type: boolean
          description: When true, includes the `identity` object in each returned profile.
        include_labels:
          type: boolean
          description: When true, includes the `labels` array in each returned profile.
        include_metrics:
          type: array
          description: >-
            Time windows for which metrics should be included. Windows not
            listed are omitted from the response.
          items:
            $ref: '#/components/schemas/SolanaDexWalletProfileTimeWindowEnum'
    SolanaDexWalletProfile:
      x-fern-type-name: SolanaDexWalletProfile
      type: object
      properties:
        updated_at:
          type: string
          format: date-time
        synced_at:
          type: string
          format: date-time
        wallet_address:
          type: string
        labels:
          $ref: '#/components/schemas/SolanaDexWalletProfileLabels'
        matched_labels:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        dynamic_labels:
          $ref: '#/components/schemas/SolanaDexProfileDynamicLabels'
        metadata:
          $ref: '#/components/schemas/SolanaDexWalletProfileMetadata'
        identity:
          $ref: '#/components/schemas/SolanaDexWalletProfileIdentity'
        metrics:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SolanaDexWalletProfileMetrics'
    SolanaDexWalletProfileTimeWindowEnum:
      x-fern-type-name: SolanaDexWalletProfileTimeWindowEnum
      type: string
      enum:
        - 30d
        - 14d
        - 7d
        - 3d
        - 1d
      x-fern-enum:
        30d:
          name: Window30d
        14d:
          name: Window14d
        7d:
          name: Window7d
        3d:
          name: Window3d
        1d:
          name: Window1d
    SolanaDexWalletProfileLabels:
      x-fern-type-name: SolanaDexWalletProfileLabels
      type: array
      items:
        $ref: '#/components/schemas/SolanaDexWalletProfileLabelEnum'
    SolanaDexProfileDynamicLabels:
      x-fern-type-name: SolanaDexProfileDynamicLabels
      type: array
      items:
        type: string
    SolanaDexWalletProfileMetadata:
      x-fern-type-name: SolanaDexWalletProfileMetadata
      type: object
      properties:
        last_trade_at:
          type: string
          format: date-time
    SolanaDexWalletProfileIdentity:
      x-fern-type-name: SolanaDexWalletProfileIdentity
      type: object
      properties:
        name:
          type: string
        twitter_username:
          type: string
        telegram_username:
          type: string
    SolanaDexWalletProfileMetrics:
      x-fern-type-name: SolanaDexWalletProfileMetrics
      type: object
      properties:
        risk_score:
          type: number
        consistency_score:
          type: number
        largest_win:
          type: number
        largest_loss:
          type: number
        max_consecutive_wins:
          type: integer
        max_consecutive_losses:
          type: integer
        avg_buy_size:
          type: number
        avg_sell_size:
          type: number
        avg_buy_mcap:
          type: number
        avg_sell_mcap:
          type: number
        avg_daily_pnl:
          type: number
        avg_daily_roi:
          type: number
        avg_daily_trade_count:
          type: integer
        avg_daily_traded_tokens:
          type: integer
        avg_daily_volume:
          type: number
        avg_holding_duration:
          type: integer
        avg_trade_delta:
          type: integer
        avg_pnl:
          type: number
        avg_roi:
          type: number
        avg_token_pnl:
          type: number
        avg_token_roi:
          type: number
        token_roi_distribution:
          type: object
          additionalProperties:
            type: integer
        trade_count:
          type: integer
        buy_count:
          type: integer
        sell_count:
          type: integer
        position_count:
          type: integer
        win_count:
          type: integer
        loss_count:
          type: integer
        pnl:
          type: number
        win_pnl:
          type: number
        loss_pnl:
          type: number
        volume:
          type: number
        buy_volume:
          type: number
        sell_volume:
          type: number
        winrate:
          type: number
        volume_weighted_winrate:
          type: number
        roi:
          type: number
        volume_weighted_roi:
          type: number
        time_weighted_roi:
          type: number
        pnl_volume_ratio:
          type: number
        token_hit_ratio:
          type: number
        win_loss_size_ratio:
          type: number
        profit_factor:
          type: number
        profit_expectancy:
          type: number
        recovery_factor:
          type: number
        winrate_stability:
          type: number
        winrate_volatility:
          type: number
        pnl_stability:
          type: number
        pnl_volatility:
          type: number
        roi_stability:
          type: number
        roi_volatility:
          type: number
        sharpe_ratio:
          type: number
        sortino_ratio:
          type: number
        max_drawdown:
          type: number
        risk_of_ruin:
          type: number
        turnover:
          type: number
    SolanaDexWalletProfileLabelEnum:
      x-fern-type-name: SolanaDexWalletProfileLabelEnum
      type: string
      enum:
        - kol
        - trencher
        - conviction
        - smart
        - whale
        - degen
        - sniper
        - swing
        - holder
  responses:
    BadRequest:
      description: 'Bad request: Invalid request parameters'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Bad request: Invalid request parameters'
    Unauthorized:
      description: 'Unauthorized: Invalid or missing API key'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Unauthorized: Invalid or missing API key'
    Forbidden:
      description: 'Forbidden: Access denied for the current API plan'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Forbidden: Access denied for the current API plan'
    TooManyRequests:
      description: 'Too many requests: Rate limit exceeded'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Too many requests: Rate limit exceeded'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Internal server error
  securitySchemes:
    HttpApiKeyAuth:
      type: apiKey
      name: x-api-key
      description: >-
        Your Prism API key. You can get one for free in the [Prism
        Dashboard](https://dashboard.prismapi.io).
      in: header

````